using PARR.BLL.Contracts.Interfaces;
using PARR.BLL.Domain.Mq;

namespace PARR.BLL.Services.Interfaces
{
    public delegate Task MqMessageHandlerDelegate(string msg);

    public interface IMqService : IAsyncDisposable // IDisposable
    {
        Task<bool> InitConsumerAsync(IMqSettings mqSettings, MqMessageHandlerDelegate messageHandler);
        Task<MqSendResult> SendAsync(IMqSettings mqSettings, string[] msgList);
    }
}
